package com.example.custompapi

import com.pixelmonmod.pixelmon.Pixelmon
import me.clip.placeholderapi.expansion.PlaceholderExpansion
import org.bukkit.OfflinePlayer
import org.jetbrains.annotations.NotNull

class CustomPapiEnable extends PlaceholderExpansion{
    public static CustomPapiEnable papi;

    static void main(String[] args) {
        papi = new CustomPapi()
        papi.register()
    }

    @Override
    String getIdentifier() {
        return "custompapi" /*实例:custompapi_test;custompapi_dddd也就是开头而已*/
    }

    @Override
    String getAuthor() {
        return "FullIdle" /*作者*/
    }

    @Override
    String getVersion() {
        return "1.0" /*版本*/
    }

    @Override
    String onRequest(OfflinePlayer player, @NotNull String params) {
        def split = params.split("_")
        switch (split[0]){
            case "pokemon":{
                def party = Pixelmon.storageManager.getParty(player.getUniqueId())
                def args = split[1]
                def poke = party.get(Integer.valueOf(split[2]))
                switch (args){
                /*custompapi_pokemon_shiny_1背包第一只精灵是否是闪光*/
                    case "shiny":{
                        return poke.isShiny().toString()
                    }/*custompapi_pokemon_name_1背包第一只精灵的宝可梦名字*/
                    case "name":{
                        return poke.getLocalizedName()
                    }/*custompapi_poke_ability_1背包第一只精灵的特性名字*/
                    case "ability":{
                        return poke.getAbility().localizedName
                    }
                }
                return null 
            }
            case "player":{/*custompapi_player_name*/
                switch (split[1]){
                    case "name":{
                        return player.name
                    }
                    case "level":{/*custompapi_player_level*/
                        return player.isOnline()?player.getPlayer().level:null
                    }
                }
                return null
            }
        }
        return null
    }
}